> ## Documentation Index
> Fetch the complete documentation index at: https://developers.ingopayments.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Process — PayPal / Venmo

> Push a disbursement to a PayPal Verified, PayPal Unverified, or Venmo account.



## OpenAPI

````yaml specs/ingopay-process-paypal-venmo.yaml POST /gateway/process--paypal-venmo
openapi: 3.0.3
info:
  title: IngoPay API — Push Method PayPal / Venmo
  description: >
    Submit a request to push funds to a customer's PayPal or Venmo account.


    The partner and their customer should be committed to the payment prior to
    making this call. A successful response confirms the payment item has been
    accepted. **Once accepted, a payment cannot be reversed.**


    **`account_type` determines the target platform and account type:**

    - `PD` — PayPal verified account payout

    - `PU` — PayPal unverified account payout

    - `VE` — Venmo payout


    > **Assume Success:** Clients should assume success for any Process request
    where a response was not received from Ingo Payments, including assumption
    of normal settlement. Any consumer funds associated with the transaction
    should be accounted for aligning with normal successful transaction
    processing.


    > **Log Transaction ID:** Log the Ingo `transaction_id` and
    `participant_unique_id1` for every transaction — Ingo Payment Services will
    request these values for any support interactions.
  version: '11'
  contact:
    name: Ingo Money Developer Support
    url: https://developers.ingomoney.com
servers:
  - url: https://payapi-sandbox.ingo.money
    description: Sandbox
  - url: https://payapi.ingo.money
    description: Production
security:
  - HmacAuth: []
paths:
  /gateway/process--paypal-venmo:
    post:
      tags:
        - Push Payments
      summary: Push funds to a PayPal or Venmo account
      description: >
        Initiates a push disbursement to a customer's PayPal or Venmo account
        using a token from a prior Verify call. Set `account_type` to `PD` for
        PayPal verified, `PU` for PayPal unverified, or `VE` for Venmo.
      operationId: processPaypalVenmo
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ProcessPaypalVenmoRequest'
            example:
              participant_id: 12345
              account_type: PU
              amount: 1010.5
              customer_account_token: ca875cce-58c0-46a0-8f14-676190cc7df6
              source_of_funds: 4
              recipient_phone: '1231231234'
              participant_unique_id1: 1f2739ed-3531-4af2-ae36-e6faf7936462
              participant_unique_id2: 90759390-01c7-47e7-8a90-6faa89b18ff6
              ledger:
                api_key: lk_live_abc123xyz
                user_id: usr_00456
                entity_type: program
                entity_id: ent_00789
              timestamp: 1576099257
              version: 11
      responses:
        '200':
          description: Payment accepted successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProcessPaypalVenmoResponse'
              example:
                status: 100
                client_message: Success
                data:
                  estimated_posting_time: Payment will post within 5 minutes.
                  estimated_posting_date: 04/21/2026
                  transaction_id: 2361525
                  request_timestamp: 1576099632
                  customer_account_token: ca875cce-58c0-46a0-8f14-676190cc7df6
                  participant_unique_id1: 1f2739ed-3531-4af2-ae36-e6faf7936462
                  participant_unique_id2: 90759390-01c7-47e7-8a90-6faa89b18ff6
                time: '1.1275'
        '400':
          description: Validation error — check request body
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                status: 710
                client_message: Issuer Declined - Customer should contact card issuer
                data:
                  request_timestamp: 1576099632
components:
  schemas:
    ProcessPaypalVenmoRequest:
      type: object
      required:
        - participant_id
        - account_type
        - amount
        - customer_account_token
        - source_of_funds
        - participant_unique_id1
        - timestamp
        - version
      properties:
        participant_id:
          type: integer
          description: Unique participant identifier assigned by Ingo.
          example: 12345
        account_type:
          type: string
          enum:
            - PD
            - PU
            - VE
          minLength: 1
          description: >
            Indicates the type of transaction. `PD` = PayPal verified account
            payout, `PU` = PayPal unverified account payout, `VE` = Venmo
            payout.
          example: PU
        amount:
          type: number
          format: float
          minimum: 0.01
          description: Amount of the transaction.
          example: 1010.5
        customer_account_token:
          type: string
          minLength: 1
          maxLength: 254
          description: >
            Token representing the account number and customer data as provided
            in the response from a previous Verify API call.
          example: ca875cce-58c0-46a0-8f14-676190cc7df6
        source_of_funds:
          type: integer
          enum:
            - 1
            - 2
            - 3
            - 4
          description: >
            Funding source indicator: 1 = Cash, 2 = Check, 3 = Combo of Cash &
            Check, 4 = Corp Disbursement.
          example: 4
        recipient_phone:
          type: string
          maxLength: 10
          nullable: true
          description: 10-digit recipient phone number.
          example: '1231231234'
        participant_unique_id1:
          type: string
          minLength: 1
          maxLength: 254
          description: >
            Participant assigned transaction ID for the process request. Value
            must be unique and may not contain NPI data. Used for idempotency —
            a duplicate value returns an idempotent response without initiating
            a new push request. Appears on daily reconciliation reports.
          example: 1f2739ed-3531-4af2-ae36-e6faf7936462
        participant_unique_id2:
          type: string
          maxLength: 254
          nullable: true
          description: >
            Optional second participant assigned transaction ID. Does not appear
            on daily reconciliation reports.
          example: 90759390-01c7-47e7-8a90-6faa89b18ff6
        store_id:
          type: string
          maxLength: 255
          nullable: true
          description: |
            Client assigned store ID. Required for Retail client participants.
          example: STORE-001
        clerk_id:
          type: string
          maxLength: 255
          nullable: true
          description: |
            Client assigned clerk ID. Required for Retail client participants.
          example: CLK-007
        terminal_id:
          type: string
          maxLength: 255
          nullable: true
          description: >
            Client assigned terminal ID. Required for Retail client
            participants.
          example: TERM-042
        ledger:
          $ref: '#/components/schemas/Ledger'
        timestamp:
          type: integer
          format: int64
          description: Unix timestamp of the request.
          example: 1576099257
        version:
          type: integer
          description: API version of the request. Current version is 11.
          example: 11
    ProcessPaypalVenmoResponse:
      type: object
      properties:
        status:
          type: integer
          description: >
            Numeric code describing the status of the API request. 100 =
            Success, 102 = Success - Pending Issuer Response.
          example: 100
        client_message:
          type: string
          description: Text description associated with the status code.
          example: Success
        data:
          type: object
          properties:
            estimated_posting_time:
              type: string
              description: Provided on success. Estimated posting time narrative.
              example: Payment will post within 5 minutes.
            estimated_posting_date:
              type: string
              description: Provided on success. Estimated posting date.
              example: 04/21/2026
            transaction_id:
              type: integer
              description: >
                Always provided on success and in certain failure conditions.
                Unique transaction identifier. Log this value — Ingo Payment
                Services will request it for support interactions.
              example: 2361525
            request_timestamp:
              type: integer
              format: int64
              description: Unix timestamp of the request.
              example: 1576099632
            customer_account_token:
              type: string
              description: Echo of value from request. Provided on success.
              example: ca875cce-58c0-46a0-8f14-676190cc7df6
            participant_unique_id1:
              type: string
              description: >
                Always provided on success and in certain failure conditions.
                Echo of value provided on request.
              example: 1f2739ed-3531-4af2-ae36-e6faf7936462
            participant_unique_id2:
              type: string
              nullable: true
              description: >
                Provided on success and in certain failure conditions if sent on
                original request. Echo of value provided on request.
              example: 90759390-01c7-47e7-8a90-6faa89b18ff6
        time:
          type: string
          description: Time in seconds to complete the request.
          example: '1.1275'
    ErrorResponse:
      type: object
      properties:
        status:
          type: integer
          example: 710
        client_message:
          type: string
          example: Issuer Declined - Customer should contact card issuer
        data:
          type: object
          properties:
            request_timestamp:
              type: integer
              format: int64
              example: 1576099632
    Ledger:
      type: object
      description: >
        Required for clients configured for ledger service. Exclude entirely if
        not applicable to your integration.
      required:
        - api_key
        - user_id
        - entity_type
        - entity_id
      properties:
        api_key:
          type: string
          minLength: 1
          maxLength: 100
          description: API key associated with the ledger program.
          example: lk_live_abc123xyz
        user_id:
          type: string
          minLength: 1
          maxLength: 100
          description: User ID associated with the ledger program.
          example: usr_00456
        entity_type:
          type: string
          minLength: 1
          maxLength: 50
          enum:
            - program
            - business
            - user
          description: >
            Entity type for the ledger. Accepted values: `program`, `business`,
            `user`.
          example: program
        entity_id:
          type: string
          maxLength: 100
          nullable: true
          description: Entity ID associated with the ledger.
          example: ent_00789
  securitySchemes:
    HmacAuth:
      type: http
      scheme: hmac-sha512
      description: >-
        HMAC-SHA512 signed Authorization header. See the Authentication page for
        the complete signing guide.

````